@import 'sass/config.scss';
@import 'sass/mixins.scss';

.videoComponent {
   position: relative;
   display: inline-block;
   height: 100%;

    video {
      position: relative;
      z-index: 1;
      width: 100%;
      height: 100%;
      display: block;
   }

    &.aspectRatio {
        width: 100%;
        height: 0;
        display: block;

        video {
            position: absolute;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
            object-fit: cover;
            object-position: center;
        }
    }
   &.aspectRatio-16x9 {
       padding-top: (9/16) * 100%;
   }
   &.aspectRatio-9x16 {
       padding-top: (16/9) * 100%;
   }
   &.aspectRatio-16x10 {
       padding-top: (10/16) * 100%;
   }
   &.aspectRatio-10x16 {
       padding-top: (16/10) * 100%;
   }
   &.aspectRatio-4x3 {
       padding-top: (3/4) * 100%;
   }
   &.aspectRatio-3x4 {
       padding-top: (4/3) * 100%;
   }
   &.aspectRatio-10x21 {
       padding-top: 2.16 * 100%;
   }
   

   button {
      background: rgba(0,0,0,.25);
      color: $light;
      padding: .3rem;
      border: 0;
      position: absolute;
      bottom: .3rem;
      right: .3rem;
      z-index: 3;
      outline: none;
      transition: opacity .2s linear;

      &:focus svg,
      &:active svg {
          transform: scale(.95);
      }

      svg {
         fill: $light;
         width: 1.25rem;
         height: 1.25rem;
         display: block;
         transition: transform .2s linear;
      }

      &:nth-child(1){
         right: 2.6rem;
      }

      &.fullsize {
        width: 100%;
        height: 100%;
        bottom: 0;
        right: 0;
        padding: 0;
        z-index: 2;
        display: flex;
        align-items: center;
        justify-content: center;

        svg {
            width: 33%;
            height: 33%;
        }
      }

      &.hide {
          opacity: 0;
      }
   }
}
